[OE-core] [PATCH 1/2] bitbake: add another local configuration file

Kang Kai kai.kang at windriver.com
Wed Jun 8 05:56:24 UTC 2011


From: Kang Kai <kai.kang at windriver.com>

Add a new local configuration file local.extended.conf.sample, and more advanced
settings what user can configure could put in this file.

Signed-off-by: Kang Kai <kai.kang at windriver.com>
---
 meta-yocto/conf/local.extended.conf.sample |    5 +++++
 meta/conf/bitbake.conf                     |    1 +
 scripts/oe-setup-builddir                  |   19 +++++++++++++++++++
 3 files changed, 25 insertions(+), 0 deletions(-)
 create mode 100644 meta-yocto/conf/local.extended.conf.sample

diff --git a/meta-yocto/conf/local.extended.conf.sample b/meta-yocto/conf/local.extended.conf.sample
new file mode 100644
index 0000000..048d641
--- /dev/null
+++ b/meta-yocto/conf/local.extended.conf.sample
@@ -0,0 +1,5 @@
+# eglibc configurability is used to reduce minimal images's size.
+# the all supported eglibc options are default enabled by adding
+# to DISTRO_FEATURES in default-distrovars.inc
+# put the options what you want to enable below and uncomment it
+#DISTRO_FEATURES = "alsa bluetooth ext2 irda pcmcia usbgadget usbhost wifi nfs zeroconf pci"
diff --git a/meta/conf/bitbake.conf b/meta/conf/bitbake.conf
index de94316..1b1cf6b 100644
--- a/meta/conf/bitbake.conf
+++ b/meta/conf/bitbake.conf
@@ -641,6 +641,7 @@ CPU_FEATURES_arm ?= "vfp"
 include conf/site.conf
 include conf/auto.conf
 include conf/local.conf
+include conf/local.extended.conf
 include conf/build/${BUILD_SYS}.conf
 include conf/target/${TARGET_SYS}.conf
 include conf/machine/${MACHINE}.conf
diff --git a/scripts/oe-setup-builddir b/scripts/oe-setup-builddir
index 5fc8b19..31fb3d6 100755
--- a/scripts/oe-setup-builddir
+++ b/scripts/oe-setup-builddir
@@ -55,6 +55,7 @@ if [ "x" != "x$TEMPLATECONF" ]; then
     fi
     OECORELAYERCONF="$TEMPLATECONF/bblayers.conf.sample"
     OECORELOCALCONF="$TEMPLATECONF/local.conf.sample"
+    OECORELOCALCONFEXTENDED="$TEMPLATECONF/local.extended.conf.sample"
 fi
 
 if [ "x" = "x$OECORELOCALCONF" ]; then
@@ -79,6 +80,24 @@ EOM
     cp -f $OECORELOCALCONF $BUILDDIR/conf/local.conf
 fi
 
+if ! (test -r "$BUILDDIR/conf/local.extended.conf"); then
+cat <<EOM
+You had no conf/local.conf file. This configuration file has therefore been
+created for you with some default values. You may wish to edit it to use
+different eglibc configuration options for example. See the file for more
+information as common configuration options are commented.
+
+The Yocto Project has extensive documentation about OE including a reference manual
+which can be found at:
+    http://yoctoproject.org/community/documentation
+
+For more information about OpenEmbedded see their website:
+    http://www.openembedded.org/
+
+EOM
+	cp -f $OECORELOCALCONFEXTENDED $BUILDDIR/conf/local.extended.conf
+fi
+
 if [ "x" = "x$OECORELAYERCONF" ]; then
     OECORELAYERCONF="$OEROOT/meta/conf/bblayers.conf.sample"
 fi
-- 
1.7.5.1.300.gc565c





More information about the Openembedded-core mailing list